### Function

# GimpUi prop_text_buffer_new

#### Declaration [src]

    GtkTextBuffer*
    gimp_prop_text_buffer_new (
      GObject* config,
      const gchar* property_name,
      gint max_len
    )

#### Description [src]

Creates a `GtkTextBuffer` to set and display the value of the specified string property. Unless the string is expected to contain multiple lines or a large amount of text, use `gimp_prop_entry_new()` instead. See `GtkTextView` for information on how to insert a text buffer into a visible widget.

If `max_len` is 0 or negative, the text buffer allows an unlimited number of characters to be entered.

Available since: | 2.4

#### Parameters

`config` | `GObject`
| Object to which property is attached.
| The data is owned by the caller of the function.
`property_name` | `const gchar*`
| Name of string property.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`max_len` | `gint`
| Maximum allowed length of text (in characters).

#### Return value

Returns: | `GtkTextBuffer`
| A new `GtkTextBuffer`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.